Skip to content

getMaterialFinishes

READ

Get material finishes.

POST /api/v1/items/getMaterialFinishes
curl -X POST '<your-host>/api/v1/items/getMaterialFinishes' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "args": {}
  }'
Response
{
  "results": [
    {
      "companyId": "string",
      "id": "string",
      "materialSubstanceId": "string",
      "name": "string",
      "substanceName": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "args": {
      "type": "object",
      "properties": {
        "limit": {
          "type": "integer",
          "default": 100
        },
        "offset": {
          "type": "integer",
          "default": 0
        },
        "search": {
          "type": [
            "string",
            "null"
          ]
        }
      }
    }
  }
}